| **Flag (Option)**                              | **Variable**                                                                                                      | **Description**                                                                                                                                                                   | **Syntax example**                                            |
|:-----------------------------------------------|:------------------------------------------------------------------------------------------------------------------|:----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|:--------------------------------------------------------------|
| `-w` or `--write-changes`                      | *none*                                                                                                            | Specify whether to write new changes - the values of other flags in the given command - to the config file                                                                        | `--write-changes`                                             |
| `--accept-operator-terms-and-conditions`       | *none*                                                                                                            | A flag added explicitly to `nym-node run` command every time, showing that the operator agreed with [T&Cs](#terms--conditions)                                                    | `--accept-operator-terms-and-conditions`                      |
| `--announce-wss-port`                          | `<ANNOUNCE_WSS_PORT>`                                                                                             | Port listening to Web Secure Socket, default and recommended `9001`                                                                                                               | `9001`                                                        |
| *not a flag*                                   | `<ARGUMENTS>`                                                                                                     | Replace with all flags used to run the binary with a given command                                                                                                                | `--id alice_super_node –accept-operator-terms-and-conditions` |
| *not a flag*                                   | `<BINARY> `                                                                                                       | A name of a binary                                                                                                                                                                | `nym-node`                                                    |
| `--expose-system-hardware`                     | `<EXPOSE_SYSTEM_HARDWARE>`                                                                                        | Specify whether basic system hardware information should be exposed. default: `true`, possible values: `true` or `false`                                                          | `--expose-system-hardware false`                              |
| `--expose-system-info`                         | `<EXPOSE_SYSTEM_INFO>`                                                                                            | Specify whether basic system information should be exposed. default: `true`, possible values: `true` or `false`                                                                   | `--expose-system-info false`                                  |
| `--hostname`                                   | `<HOSTNAME>`                                                                                                      | Your registered DNS domain, asigned to the VPS with `nym-node`. Use without prefix like `http://` or `https://`                                                                   | `exit-gateway1.squad.nsl`                                     |
| `--http-bind-address`                          | `<HTTP_BIND_ADDRESS>`                                                                                             | Socket address this node will use for binding its http API - mandatory! Must be on port `8080`!                                                                                   | `--http-bind-address 0.0.0.0:8080`                            |
| `--id`                                         | `<ID>`                                                                                                            | A local only `nym-node` identifier, specified by flag `--id`. Not mandatory as it defaults to `default-nym-node` if not specified.                                                | `--id alice_super_node`                                       |
| *not a flag*                                   | `<ID_KEY>`                                                                                                        | Node public identity key, exposed on the network                                                                                                                                  | `GQvHcg61viyN9brWn1hficjD66Q9TorsLN2CMGJewVfo`                |
| `--landing-page-assets-path`                   | `<LANDING_PAGE_ASSETS_PATH>`                                                                                      | A sub-directory located at `/var/www/<HOSTNAME>` containing html configuration files                                                                                              | `/var/www/exit-gateway1.squad.nsl`                            |
| `--location`                                   | `<LOCATION>`                                                                                                      | Location of your node. Formats like 'Jamaica',  or two-letter alpha2 (e.g. 'JM'), three-letter alpha3 (e.g. 'JAM') or three-digit numeric-3 (e.g. '388') can be provided.         | `--location JAM`                                              |
| `--mixnet-bind-address`                        | `<MIXNET_BIND_ADDRESS>`                                                                                           | Address to bind to for listening for mixnet packets - mandatory! Must be on port `1789`!                                                                                          | `--mixnet-bind-address 0.0.0.0:1789`                          |
| `--mode`                                       | `<MODE>`                                                                                                          | A functionality of your `nym-node` in the mixnet - mandatory! Chose from `entry-gateway`, `mixnode` or `exit-gateway`                                                             | `--mode exit-gateway`                                         |
| *not a flag*                                   | `<NYXD_VERSION>`                                                                                                  | Version of validator binaries                                                                                                                                                     | `v0.43.0`                                                     |
| *not a flag*                                   | `<PATH_TO>`                                                                                                       | Specify a full path to the given file, directory or binary behind this variable                                                                                                   | `/root/src/nym/target/release/`                               |
| `--public-ips`                                 | `<PUBLIC_IPS>`                                                                                                    | IPv4 of the `nym-node` server - mandatory! Use this address as a `host` value for bonding.Use this address as a `host` value for bonding.                                         | `--public-ips "$(curl -4 https://ifconfig.me)"`               |
| *not a flag*                                   | `<WELCOME_TEXT>`                                                                                                  | Any text you want to show on the landing page                                                                                                                                     | Welcome to Nym Node, operator contact is example@email.me     |
| `--wireguard-enabled`                          | `<WIREGUARD_ENABLED>`                                                                                             | Specifies whether the wireguard service is enabled, possible values: `true` or `false` - `true` is recommended                                                                    | `--wireguard-enabled true`                                    |
| `--wireguard-private-ip`                       | `<WIREGUARD_PRIVATE_IP>`                                                                                          | Private IP address of the wireguard gateway. This mandatory field is set to a correct default: `10.1.0.1`, operators upgrading from older versions must overwrite it.             | `--wireguard-private-ip 10.1.0.1`                             |
